import Chunk from './Chunk';
import {Sequence} from '../../utility';

class Variable extends Chunk {
	constructor(width, height) {
		super(width, height);
		this.element = [];
		this.id = "";
		this.scope = 'Variable';
		this.top = 120;
		this.width = this.reportWidth;
        this.defaultH = 120;
		this.height = 120;
		this.minHeight = 30;
		this._beforeMovePos = 0;
		this._beforeMoveHeight = 0;
		this.isSelectedBaseline = false;
		this.printScript = '';
		this.splitType = 'Stretch';
		this.field=null;
		this.option="Nothing";
		this.cls=null;
		this.isField=false;
		this.idOne=new Date().getTime();
		this.resetType="None";
		this.resetGroup="";
		this.varExpression="";
	}
	
	getClassName(){
		return 'Variable';
	}
	
}

export default Variable;